<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/3_game/dayzexpansion_market/settings/traders/expansionmarkettraderweapons.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d21/a01778_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmarkettraderweapons.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d21/a01778.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMarketTraderWeapons.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d3d/a05649.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d3d/a05649.html">ExpansionMarketTraderWeapons</a>: <a class="code hl_function" href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">// Expansion Defaults</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d8/d3d/a05649.html#a851123d38023a295fc0f64165e036d86">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d3d/a05649.html#a851123d38023a295fc0f64165e036d86">Defaults</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        super.Defaults();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#aba0e038e9b973f3ba4ca520a2fb057dc">DisplayName</a> = <span class="stringliteral">&quot;#STR_EXPANSION_MARKET_TRADER_WEAPONS&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a00c4720e9d671f6b70dd62ee002a2255">m_FileName</a> = <span class="stringliteral">&quot;Weapons&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#ad58df36d5ae3bbd5830784c753afed44">TraderIcon</a> = <span class="stringliteral">&quot;Shotgun&quot;</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Assault_Rifles&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Submachine_Guns&quot;</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Rifles&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Pistols&quot;</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Sniper_Rifles&quot;</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Shotguns&quot;</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="comment">// LAUNCHERS</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Flaregun&quot;</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">    #ifdef EXPANSIONMODWEAPONS  </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Crossbows&quot;</span>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment"></span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">        //! Specify CanBuyAndSellAsAttachmentOnly to hide them from the &quot;Ammo&quot; category (these items are available in the &quot;Special&quot; trader)</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment"></span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;ExpansionAmmoLAW&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;ExpansionAmmoRPG&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Ammo_Expansion_M203_Smoke_White&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Ammo_Expansion_M203_Smoke_Teargas&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Ammo_Expansion_M203_Sticky_Smoke_White&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Ammo_Expansion_M203_Sticky_Smoke_Teargas&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;Ammo_Expansion_M203_HE&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Melee_Weapons&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Ammo&quot;</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Ammo_Boxes&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a>.Insert(<span class="stringliteral">&quot;Knifes&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Magazines&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Muzzles&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Bayonets&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Optics&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Buttstocks&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a>(<span class="stringliteral">&quot;Handguards&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="comment">// WEAPON LIGHTS</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;UniversalLight&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_function" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a>(<span class="stringliteral">&quot;TLRLight&quot;</span>, <a class="code hl_enumeration" href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a>.CanBuyAndSellAsAttachmentOnly);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>};</div>
<div class="ttc" id="aa01424_html_aecfa14afcffcd521f2e962c96469ebf9"><div class="ttname"><a href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a></div><div class="ttdeci">void AddItem(string type, ExpansionHardlineItemRarity rarity)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/a01424_source.html#l01476">expansionhardlinesettings.c:1476</a></div></div>
<div class="ttc" id="aa01514_html_a002f1ad3587527ab9de1e63f8b33125c"><div class="ttname"><a href="../../d7/d22/a01514.html#a002f1ad3587527ab9de1e63f8b33125c">AddCategory</a></div><div class="ttdeci">void AddCategory(string fileName, ExpansionMarketTraderBuySell buySell)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00259">expansionmarkettrader.c:259</a></div></div>
<div class="ttc" id="aa01514_html_a00c4720e9d671f6b70dd62ee002a2255"><div class="ttname"><a href="../../d7/d22/a01514.html#a00c4720e9d671f6b70dd62ee002a2255">m_FileName</a></div><div class="ttdeci">string m_FileName</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00027">expansionmarkettrader.c:27</a></div></div>
<div class="ttc" id="aa01514_html_a1d02b00d66e4657dfc1c1d66915357f1"><div class="ttname"><a href="../../d7/d22/a01514.html#a1d02b00d66e4657dfc1c1d66915357f1">Categories</a></div><div class="ttdeci">autoptr TStringArray Categories</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00050">expansionmarkettrader.c:50</a></div></div>
<div class="ttc" id="aa01514_html_a41587b5b5214749818c868e74ddf867a"><div class="ttname"><a href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a></div><div class="ttdeci">void ExpansionMarketTrader()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00067">expansionmarkettrader.c:67</a></div></div>
<div class="ttc" id="aa01514_html_aba0e038e9b973f3ba4ca520a2fb057dc"><div class="ttname"><a href="../../d7/d22/a01514.html#aba0e038e9b973f3ba4ca520a2fb057dc">DisplayName</a></div><div class="ttdeci">string DisplayName</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00029">expansionmarkettrader.c:29</a></div></div>
<div class="ttc" id="aa01514_html_ad58df36d5ae3bbd5830784c753afed44"><div class="ttname"><a href="../../d7/d22/a01514.html#ad58df36d5ae3bbd5830784c753afed44">TraderIcon</a></div><div class="ttdeci">string TraderIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00046">expansionmarkettrader.c:46</a></div></div>
<div class="ttc" id="aa01514_html_ae270d42a9557f6ac7ebfe208cc96aeca"><div class="ttname"><a href="../../d7/d22/a01514.html#ae270d42a9557f6ac7ebfe208cc96aeca">ExpansionMarketTraderBuySell</a></div><div class="ttdeci">ExpansionMarketTraderBuySell</div><div class="ttdoc">Whether the player can only buy, buy and sell, or only sell at this trader.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d22/a01514_source.html#l00014">expansionmarkettrader.c:15</a></div></div>
<div class="ttc" id="aa05649_html"><div class="ttname"><a href="../../d8/d3d/a05649.html">ExpansionMarketTraderWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d21/a01778_source.html#l00013">expansionmarkettraderweapons.c:14</a></div></div>
<div class="ttc" id="aa05649_html_a851123d38023a295fc0f64165e036d86"><div class="ttname"><a href="../../d8/d3d/a05649.html#a851123d38023a295fc0f64165e036d86">ExpansionMarketTraderWeapons::Defaults</a></div><div class="ttdeci">override void Defaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d21/a01778_source.html#l00018">expansionmarkettraderweapons.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7335e336e51f90f925d20f4f992677da.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_6375017fbea432d664828197795a9940.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_2059f571b7ebb4f5751b3cbcb632e5b6.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_4e206a0e3015654fa01cc5119def1f92.html">traders</a></li><li class="navelem"><a class="el" href="../../df/d21/a01778.html">expansionmarkettraderweapons.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
